Categories:
  - Navigation
License: Apache-2.0
WebSite: https://www.graphhopper.com/
SourceCode: https://github.com/boldtrn/graphhopper-maps-capacitor
IssueTracker: https://github.com/boldtrn/graphhopper-maps-capacitor/issues

AutoName: GraphHopper Maps

RepoType: git
Repo: https://github.com/boldtrn/graphhopper-maps-capacitor.git

Builds:
  - versionName: '1.0'
    versionCode: 1
    commit: v1.0
    subdir: android/app
    submodules: true
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.2.0/node-v16.2.0-linux-x64.tar.xz
      - echo "e134c8738761ab908aac3b62efa4865d8a7c73e40cc7758c6e99244921696216 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.2.0-linux-x64/. /usr/local/
    init:
      - cd ../..
      - cp config.js graphhopper-maps/
      - cd graphhopper-maps
      - npm install
      - npm run build
      - cd ..
      - npm install
      - npm run build
      - npx cap sync
    gradle:
      - yes
    scandelete:
      - node_modules/
      - graphhopper-maps/node_modules/

  - versionName: 1.0.1
    versionCode: 2
    commit: cc71711c6a6b8e34f97a906bfe4c211e4a671482
    subdir: android/app
    submodules: true
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.2.0/node-v16.2.0-linux-x64.tar.xz
      - echo "e134c8738761ab908aac3b62efa4865d8a7c73e40cc7758c6e99244921696216 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.2.0-linux-x64/. /usr/local/
    init:
      - cd ../..
      - cp config.js graphhopper-maps/
      - cd graphhopper-maps
      - npm install
      - npm run build
      - cd ..
      - npm install
      - npm run build
      - npx cap sync
    gradle:
      - yes
    scandelete:
      - node_modules/
      - graphhopper-maps/node_modules/

  - versionName: 1.0.2
    versionCode: 3
    commit: 2e4d61f24d384b094fee49ae2158b08ef1742d23
    subdir: android/app
    submodules: true
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.2.0/node-v16.2.0-linux-x64.tar.xz
      - echo "e134c8738761ab908aac3b62efa4865d8a7c73e40cc7758c6e99244921696216 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.2.0-linux-x64/. /usr/local/
    init:
      - cd ../..
      - cp config.js graphhopper-maps/
      - cd graphhopper-maps
      - npm install
      - npm run build
      - cd ..
      - npm install
      - npm run build
      - npx cap sync
    gradle:
      - yes
    scandelete:
      - node_modules/
      - graphhopper-maps/node_modules/

  - versionName: 1.0.3
    versionCode: 4
    commit: a49ec5e893611f7d2f18d9b2cb8290431838ce5d
    subdir: android/app
    submodules: true
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.2.0/node-v16.2.0-linux-x64.tar.xz
      - echo "e134c8738761ab908aac3b62efa4865d8a7c73e40cc7758c6e99244921696216 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.2.0-linux-x64/. /usr/local/
    init:
      - cd ../..
      - cp config.js graphhopper-maps/
      - cd graphhopper-maps
      - npm install
      - npm run build
      - cd ..
      - npm install
      - npm run build
      - npx cap sync
    gradle:
      - yes
    scandelete:
      - node_modules/
      - graphhopper-maps/node_modules/

  - versionName: 1.0.4
    versionCode: 5
    commit: 878f3e26b67400d59c31fc43bdb3188fbf6b86b8
    subdir: android/app
    submodules: true
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.2.0/node-v16.2.0-linux-x64.tar.xz
      - echo "e134c8738761ab908aac3b62efa4865d8a7c73e40cc7758c6e99244921696216 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.2.0-linux-x64/. /usr/local/
    init:
      - cd ../..
      - cp config.js graphhopper-maps/
      - cd graphhopper-maps
      - npm install
      - npm run build
      - cd ..
      - npm install
      - npm run build
      - npx cap sync
    gradle:
      - yes
    scandelete:
      - node_modules/
      - graphhopper-maps/node_modules/

  - versionName: 1.0.5
    versionCode: 6
    commit: 787bd1dd590d52199050376d00e4cd2f2303c308
    subdir: android/app
    submodules: true
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - apt-get update
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.20.1/node-v16.20.1-linux-x64.tar.gz
      - echo "c76d2aabd2d02542505fd24e18876fb8515e23638531249277272def42ab54e3 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init:
      - cd ../..
      - cp config.js graphhopper-maps/
      - cd graphhopper-maps
      - rm -rf node_modules
      - npm install
      - npm run fdroid
      - mv dist/bundle.*.js dist/bundle.js
      - cd ..
      - npm install
      - npm run build
      - cp config.js dist/
      - npx cap sync
    gradle:
      - yes
    scandelete:
      - node_modules/
      - graphhopper-maps/node_modules/

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.0.5
CurrentVersionCode: 6
